Subject: bug#57142: closed (Re: bug#57142: reporting an issue)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 15 Aug 2022 18:19:02 +0000

Your bug report

#57142: reporting an issue

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57142: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57142
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57142: reporting an issue
From: "Brian C. Lane" <[email-masked]>
To: Anton Wessel <[email-masked]>
Cc: [email-masked]
Date: Mon, 15 Aug 2022 11:17:59 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Aug 11, 2022 at 02:55:43PM +0200, Anton Wessel wrote:
> 
> Dear Ladies and Gentlemen,
> 
> In KNOPPIX 9.1 I use parted version 3.4
> 
> I am trying to repair the USB stick
> 
> > SanDisk Cruzer Glide
> > SDCZ60-256G-B35
> 
> which was destoyed by partclone.

I am not sure what you mean by repair, but parted likely isn't the tool
you want for that.

parted *can* re-partition the device, but you will lose your data when
you re-format it.

As the other response said, you need to use 'primary' on msdos
labeled devices. Setting the filesystem type to ntfs will set the
partition type for an NTFS filesystem, but will not actually format it.
You need to use mkfs.ntfs to do that.

Good Luck,

Brian
-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart

Subject: reporting an issue
From: Anton Wessel <[email-masked]>
To: <[email-masked]>
Date: Thu, 11 Aug 2022 14:55:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Ladies and Gentlemen,

In KNOPPIX 9.1 I use parted version 3.4

I am trying to repair the USB stick

> SanDisk Cruzer Glide
> SDCZ60-256G-B35

which was destoyed by partclone.

Gparted shows red warnigs, that no filesystem can be found.

With Gparted I have often deleted the partition(s) and created various new 
patitions with partition tables msdos and gpt.

Yet not tried ntfs until yet.

Until yet all was of no help.

Now I am going on to make partitioning to ntfs and exfat.

For this I am now using the tool parted.

In the moment the non-working on the USB stick has the partition table msdos.

For the parted command "mkpart" the documentation "info parted" says:

PART-TYPE is one of "primary", "extended" or "logical", and may be 
specified only with "msdos" or "dvh" partition tables.

Now the problem is:

I intend to mkpart "ntfs",
 but nevertheless parted insists to type "primary".

Without giving "primary" I cannot progress, and with giving "primary" an 
error message is produced.

This is true for interactive operation as well as for non-interactive.

There is no way to use parted.

You want to receive with each bug report the output of the parted command

parted /dev/sdp unit s print free

(I have tried sdp and sdp1)

The output I cite here:

+++++

Model: SanDisk Cruzer Glide (scsi)

Disk /dev/sdp: 487391232s

Sector size (logical/physical): 512B/513B

Partition Table: msdos

Disk Flags:   (none)

Number  Start       End                Size  Type  FileSystem  Flags

                 2s          2047s            2046s  (none)  FreeSpace  (none)

1               2048s  487391231s  487389184s  primary  (none)  (none)

-----

Regards

Anton_Wessel@t-online
de